OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.RobustnessCore

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBRobustness :: MonadIO m => m Bool
- gl_ARB_robustness :: Bool
- gl_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB :: GLbitfield
- gl_GUILTY_CONTEXT_RESET_ARB :: GLenum
- gl_INNOCENT_CONTEXT_RESET_ARB :: GLenum
- gl_LOSE_CONTEXT_ON_RESET_ARB :: GLenum
- gl_NO_ERROR :: GLenum
- gl_NO_RESET_NOTIFICATION_ARB :: GLenum
- gl_RESET_NOTIFICATION_STRATEGY_ARB :: GLenum
- gl_UNKNOWN_CONTEXT_RESET_ARB :: GLenum
- glGetGraphicsResetStatusARB :: MonadIO m => m GLenum
- glGetnCompressedTexImageARB :: MonadIO m => GLenum -> GLint -> GLsizei -> Ptr a -> m ()
- glGetnTexImageARB :: MonadIO m => GLenum -> GLint -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetnUniformdvARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glGetnUniformfvARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glGetnUniformivARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glGetnUniformuivARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glReadnPixelsARB :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBRobustness :: MonadIO m => m Bool

Is the ARB_robustness extension supported?

gl_ARB_robustness :: Bool

Is the ARB_robustness extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBRobustness` in those cases instead.

# Enums

gl_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB :: GLbitfield

gl_GUILTY_CONTEXT_RESET_ARB :: GLenum

gl_INNOCENT_CONTEXT_RESET_ARB :: GLenum

gl_LOSE_CONTEXT_ON_RESET_ARB :: GLenum

gl_NO_ERROR :: GLenum

gl_NO_RESET_NOTIFICATION_ARB :: GLenum

gl_RESET_NOTIFICATION_STRATEGY_ARB :: GLenum

gl_UNKNOWN_CONTEXT_RESET_ARB :: GLenum

# Functions

glGetGraphicsResetStatusARB :: MonadIO m => m GLenum

glGetnCompressedTexImageARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLint | `lod`.
-> GLsizei | `bufSize`.
-> Ptr a | `img` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnTexImageARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLint | `level`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `img` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnUniformdvARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLdouble | `params` pointing to `bufSize` elements of type `GLdouble`.
-> m () |

glGetnUniformfvARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLfloat | `params` pointing to `bufSize` elements of type `GLfloat`.
-> m () |

glGetnUniformivARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLint | `params` pointing to `bufSize` elements of type `GLint`.
-> m () |

glGetnUniformuivARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLuint | `params` pointing to `bufSize` elements of type `GLuint`.
-> m () |

glReadnPixelsARB

Arguments

:: MonadIO m |
=> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `data` pointing to `bufSize` elements of type `a`.
-> m () |

This command is an alias for `glReadnPixels`.